///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// AboutDialog.h
// AboutDialog Class definitions
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#include "AboutDialog.h"

/******************************************************************************************
	Function: AboutDialog::AboutDialog
	Receives: N/A (constructor)
	Returns: N/A (constructor)
	Description: 
		Creates a new About dialog box, printing the message received into a static text.
		Adds a new OK button to dismiss the dialog.
*******************************************************************************************/
AboutDialog::AboutDialog(wxWindow* parent, wxWindowID id, const wxString title, const wxString& message, const wxString & OK)
    : wxDialog(parent, id, title, wxDefaultPosition, wxSize(310, 100))
{
    wxStaticText * text = new wxStaticText(this, -1, message, wxPoint(10, 10), wxSize(300, 50));

    wxButton * ok = new wxButton(this, wxID_OK, OK, wxPoint (110, 65));
}