///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// ContentsFrame.cpp
// ContentsFrame Class functions definitions
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#include "ContentsFrame.h"


/******************************************************************************************
	Function: ContentsFrame::ShowHelp
	Receives: wxString
	Returns: N/A 
	Description: 
		Takes a wxString, which is a path to the help file to be displayed. The text member 
		variable is initialized to a new wxTextCtrl, and the help file is loaded to text.
*******************************************************************************************/
void ContentsFrame::ShowHelp (const wxString & path)
{
  	text = new wxTextCtrl (this, -1, "", wxPoint(20, 20), wxDefaultSize, wxTE_MULTILINE | wxTE_READONLY);
  	text->LoadFile(path);
	text->SetFocus();
}
