///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak, Mark Cecere
// ShowFilesDialog.h
// ShowFilesDialog Class Declaration
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef __SHOW_FILES_DIALOG_H__
#define __SHOW_FILES_DIALOG_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include <vector>
using namespace std;

#include "wx/dialog.h"

class ShowFilesDialog : public wxDialog
{
public:
    ShowFilesDialog(wxWindow * parent, wxWindowID id, const wxString &title, vector <wxString> files);

private:
    wxButton * ok;
    wxStaticText * title_label;
    wxStaticText * files_label;
};

#endif		// !def __SHOW_FILES_DIALOG_H__
