///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// splash.h
// Splash Class Function Declaration
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef __SPLASH_H__
#define __SPLASH_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "wx/timer.h"
#include "wx/image.h"
#include "wx/imaglist.h"
#include "wx/bitmap.h"
#include "wx/dc.h"
#include "wx/file.h"
#include "mainFrame.h"


class Splash: public wxFrame
{
public:

    Splash(const wxPoint& pos, const wxSize& size);
  
	void on_timer();

    DECLARE_EVENT_TABLE()

private:
	wxTimer * timer;
};


enum
{
    ID_Timer = 1,
    ID_AboutDialog,

};

#endif		//!def __SPLASH_H__
