/********************************
Title : dirdialog.h
Authors : David Boys, Mike MacIntyre
Class Definition for  DirDialog
Last updated : August 8, 2000
*********************************/

#ifndef __DIRDIALOG_H__
#define __DIRDIALOG_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "imagedialog.h"
#include "dirtreectrl.h"
#include <wx/dir.h>


enum
{
    ID_tree = 1,
};


class DirDialog : public ImageDialog
{
public:
	DirDialog(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos,
              const wxSize& size,  const wxString & map_filename , const wxString & config_dir,
              int icon_size);
   
	void OnItemSelected(wxTreeEvent& event);
	void OnItemExpanding(wxTreeEvent& event);	
	virtual void make_file_vector(const wxString & path_and_filespec);
	void OnEnter(wxCommandEvent & event);
    void OnChoice(wxCommandEvent& event);

	
private:

    DECLARE_EVENT_TABLE()
};

#endif
