///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// language.h
// ZoomSettingsDialog Class Declaration
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef __LANGUAGE_DIALOG_H__
#define __LANGUAGE_DIALOG_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "wx/dialog.h"

class Language_Dialog : public wxDialog
{
public:
    Language_Dialog(wxWindow * parent, wxWindowID id, const wxString &title);
    wxString language_selected() const;

private:
    wxButton * ok;
    wxButton * cancel;
    wxStaticText * restart_label;
    wxChoice * language_choices;
};

#endif		//!def __LANGUAGE_DIALOG_H__