
#ifndef __SETTINGS_H__
#define __SETTINGS_H__

#include <string>
using namespace std;

const char * const LINUX_FILENAME = ".wx-viewrc";
const char * const MSW_FILENAME = "wx-view.cfg";
const char * const ENV_VAR = "WXVIEW_DIR";

struct User_preferences
{
    double interval;
    double zoom_factor;
    bool zoom_type;
    bool view_toolbar;
    string fullpath;
    string filename;
    int icon_size;

    string initial_working_directory;

    User_preferences ();     // constructor to make it self-initialise at startup
    void write_to_file (const string & lang);
};

string get_fullpath (const string & env_var = ENV_VAR);

#endif
