///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// translator.h
// Translator Class Declaration
// JPC36 Wx-View 
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////
#ifndef __TRANSLATOR_H__
#define __TRANSLATOR_H__

#include <map>
#include <string>
using namespace std;

class Translator
{
public:
	Translator();
	const char * operator[](const string & str) const;
	string return_language() const;
//	void save_language(const char * lang) const;

private:
	map <string, string> translations;
	string current_language;

	void get_language();

	string & translation (const string & item, const string & language);
};

#endif		//!def __TRANSLATOR_H__
