/********************************************************************************************************
class AddFileToCategoryDlg derived from wxDialog
parent Class wxDialog
Files: AddFileToCategoryDlg.cpp, AddFileToCategoryDlg.h
Authors: Thalia Lewis and Muhammad Zulfigar
JPC36 Wx-View
Function definitions of class AddFileToCategoryDlg
Last Updated: August 9, 2000


Members 								Purpose
wxString filename                       receives the name of the file to be added to the treectrl
wxStaticText * prompt;                  prompts the user to choose the category to which the file shoudl be added
CategoryTreeCtrl * tree;                treectrl containg Category objects derived from class wxTreeCtrl
wxButton * ok;                          adds file
wxButton * cancel;                      cancels file addition
*********************************************************************************************************/

#ifndef __ADD_FILE_TO_CATEGORY_H__
#define __ADD_FILE_TO_CATEGORY_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
  #pragma hdrstop
#endif

#ifndef WX_PRECOMP
  #include "wx/wx.h"
#endif

#include "wx-view.h"
#include "category_treectrl.h"

#include <algorithm>
using namespace std;

const int MARGIN = 5;

class AddFileToCategoryDlg : public wxDialog
{
public:
	AddFileToCategoryDlg (wxWindow * parent, const wxString & title, const wxString & filename);
		
 	int ShowModal ();
 	
private:
	wxString filename;
	wxStaticText * prompt;
	CategoryTreeCtrl * tree;
	wxButton * ok;
	wxButton * cancel;
};

#endif
