///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// ContentsFrame.h
// ContentsFrame Class declaration
// JPC36 Wx-View 
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef __CONTENTS_FRAME_H__
#define __CONTENTS_FRAME_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

class ContentsFrame : public wxFrame
{
public:
    ContentsFrame(wxWindow* parent, wxWindowID id, const wxString& title,
        const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize,
        long style = wxDEFAULT_FRAME_STYLE)
        : wxFrame(parent, id, title, pos, size, style)
    {}

    void ShowHelp (const wxString & path);

private:
    wxTextCtrl * text;
};

#endif		//!def __CONTENTS_FRAME_H__
