/********************************
Title : PreviewPanel.h
Authors : David Boys, Mike MacIntyre
Class Definition for  PreviewPanel
Last updated : August 9, 2000
*********************************/

#ifndef __PREVIEWPANEL_H__
#define __PREVIEWPANEL_H__

#include "wx/wxprec.h"
#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "wx/image.h"

/*  Begin Members table

               Member                        |          Purpose

		wxStaticBitmap * preview             /   a wxStaticBitmap to place the preview image on

    End  Members Table  */



class PreviewPanel : public wxPanel
{
public:
	PreviewPanel (wxWindow * parent, const wxPoint & pos, const wxSize & size);
	
	~PreviewPanel();
	void preview_image (wxImage * img);
	void clear_preview();
	void clear_background();

private:
	wxStaticBitmap * preview;
};

#endif
