///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// SetIntervalDialog.h
// SetIntervalDialog Class Declaration
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef __SET_INTERVAL_DIALOG_H__
#define __SET_INTERVAL_DIALOG_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "wx/dialog.h"
//#include "slideShow.h"

class SetIntervalDialog : public wxDialog
{
public:
    SetIntervalDialog(wxWindow * parent, wxWindowID id, const wxString &title, double saved_interval);
    double read_interval() const;

private:
    wxButton * ok;
    wxButton * cancel;
    wxStaticText * set_interval_label;
    wxTextCtrl * set_interval_text;
};

#endif		// !def __SET_INTERVAL_DIALOG_H__
