///////////////////////////////////////////////////////////////////////////////////////////
// Authors: Eva Bunodiere, Yasmin Kossak
// application.h
// Application Class Function Declaration
// JPC36 Wx-View
// July 25th 2000
// Technical Advisor : Carlos Moreno
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef __APPLICATION_H__
#define __APPLICATION_H__

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "ZoomSettingsDialog.h"
#include "wx/timer.h"
#include "wx/image.h"
#include "wx/imaglist.h"
#include "wx/bitmap.h"
#include "wx/dc.h"
#include "wx/file.h"
#include "wx/stattext.h"
#include "wx/toolbar.h"
#include "wx/tbarbase.h"
#include "wx/msgdlg.h"
#include "wx/scrolwin.h"
#include "wx/dialog.h"
#include "wx/radiobox.h"
#include "wx/textctrl.h"
#include "wx/button.h"

#include <math.h>
#include <string>
#include <fstream>
#include <map>
using namespace std;

#include "translator.h"
#include "mainFrame.h"

class Application: public wxApp
{
public:
    virtual bool OnInit();
    virtual int OnExit();

private:

};

#endif		//!def __APPLICATION_H__