/********************************
Title : dirtreectrl.h
Authors : David Boys, Mike MacIntyre
Class Definition for  DirTreeCtrl
Last updated : August 9, 2000
*********************************/

#ifndef __DIRTREECTRL_H__
#define __DIRTREECTRL_H__

#include "wx/wxprec.h"
#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "dirdialog.h"
#include "wx/log.h"
#include "wx/dir.h"
#include "wx/treectrl.h"

#include <vector>
#include <cstdio>
using namespace std;

//  No Members table


class DirTreeCtrl : public wxTreeCtrl
{
public:
	 DirTreeCtrl (wxDialog* parent, const wxWindowID id);
	 			
     void add_branch(const wxTreeItemId & rootID,  const wxString & path);

};

#endif
